vRealize Orchestrator 8.0.1 installation fails with “Bad Gateway”

If you tried to install fresh vRO 8 and get Bad Gateway , have a look if you are affected by the password issue/bug.
x5

if you would login to your vRO appliance, you could see messages about bad password
kubectl -n prelude logs vco-app- -c install-rpms

you get you vco-app-(pod name) by checking
kubectl get pods –all-namespaces | grep vco-app
prelude vco-app-f74ddf657-2m54n
so you pod name is “vco-app-f74ddf657-2m54n” in that case

so in this case you would check your logs using
kubectl -n prelude logs vco-app-f74ddf657-2m54n -c install-rpms

if this is the same issue, you should see similar things to
Start vRO initial install and configuration

Preparing... ########################################

find: ‘/usr/lib/vco/app-server/deploy/’: No such file or directory
You are required to change your password immediately (password expired)
groupadd: PAM: Authentication token is no longer valid; new one required
useradd: group 'vco' does not exist
error: %prein(vco-server-8.0.1.1576058314-15282010.noarch) scriptlet failed, exit status 6
error: vco-server-8.0.1.1576058314-15282010.noarch: install failed
find: ‘/usr/lib/vco/configuration/webapps/’: No such file or directory
You are required to change your password immediately (password expired)
groupadd: PAM: Authentication token is no longer valid; new one required
useradd: group 'vco' does not exist
error: %prein(vco-controlcenter-8.0.1.1576058314-15282010.noarch) scriptlet failed, exit status 6
error: vco-controlcenter-8.0.1.1576058314-15282010.noarch: install failed
You are required to change your password immediately (password expired)
groupadd: PAM: Authentication token is no longer valid; new one required
useradd: group 'vco' does not exist
passwd: user 'vco' does not exist
Updating / installing...
warning: user vco does not exist - using root
warning: group vco does not exist - using root

Give it a try KB: https://kb.vmware.com/s/article/76870
It helped in my case (manual installation).